From a3ac61a8ac84d800c50ca3d2829c4ce38196d0f1 Mon Sep 17 00:00:00 2001
From: Mingli Zhang <avamingli@gmail.com>
Date: Sat, 23 Jul 2022 12:19:05 +0800
Subject: [PATCH] Fix annotations nextFullXid

VariableCacheData.nextFullXid is renamed to nextXid in commit fea10a6434
---
 src/backend/storage/ipc/procarray.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index dadaa958a8..78d932df95 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -4212,7 +4212,7 @@ GlobalVisTestIsRemovableXid(GlobalVisState *state, TransactionId xid)
 	/*
 	 * Convert 32 bit argument to FullTransactionId. We can do so safely
 	 * because we know the xid has to, at the very least, be between
-	 * [oldestXid, nextFullXid), i.e. within 2 billion of xid. To avoid taking
+	 * [oldestXid, nextXid), i.e. within 2 billion of xid. To avoid taking
 	 * a lock to determine either, we can just compare with
 	 * state->definitely_needed, which was based on those value at the time
 	 * the current snapshot was built.
-- 
2.34.1

